use crate::http_client::HttpClient;
use crate::url;

pub async fn get_request(limit: i32) -> String {
    let base_url = url(&"notify_list");
    let url = format!("{}?limit={}", base_url, limit);
    let client = HttpClient::new();

    match client.get_with_auth(&url).await {
        Ok(response) => response,
        Err(_) => "err".to_string(),
    }
}
